Name:           openstack-puppet-modules
Epoch:          1
Version:        7.1.5
Release:        8%{?dist}
Summary:        Collection of Puppet modules for OpenStack deployment
License:        ASL 2.0 and GPLv2 and GPLv3

URL:            https://github.com/redhat-openstack

# 2015.2.0 https://github.com/redhat-openstack/openstack-puppet-modules/commit/bf329c9115ea08c3f1cfc254fba058777fedd3c4
# timestamp 2015-10-09 03:14 UTC
Source0:        https://github.com/redhat-openstack/%{name}/archive/%{version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=7.1.5
Patch0001: 0001-CVE-2016-9590-Correct-configuration-file-perms.patch
Patch0002: 0002-libvirt-allow-any-binding-for-vncserver_listen.patch
Patch0003: 0003-Add-support-for-migration-over-SSH.patch
Patch0004: 0004-Add-X-Forwarded-Proto-headers-to-Glance-and-Neutron-.patch
Patch0005: 0005-Change-keystone-token-flush-to-run-hourly.patch
Patch0006: 0006-Horizon-Set-WSGIProcessGroup-GLOBAL.patch
Patch0007: 0007-DOWSTREAM-ONLY-Loopback-volume-prevent-race-between-.patch

BuildArch:      noarch
Requires:       rubygem-json

%description
A collection of Puppet modules which are required to install and configure
OpenStack via installers using Puppet configuration tool.


%prep
%setup -q -n %{name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1

find . -type f -name ".*" -exec rm -rf {} +
find . -size 0 -exec rm -rf {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf


%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/
cp -r $(grep ^mod Puppetfile |cut -d\' -f2) %{buildroot}/%{_datadir}/openstack-puppet/modules/
cp Puppetfile %{buildroot}/%{_datadir}/openstack-puppet/Puppetfile
rm -f %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/files/nova-novncproxy.init


%files
%{_datadir}/openstack-puppet/


%changelog
* Wed Dec 13 2017 Sofer Athlan-Guyot <chem@sathlan.org> 1:7.1.5-8
- [DOWSTREAM ONLY] Loopback volume - prevent race between losetup and pvdisplay (rhbz#1523939)
- fix gitreview

* Fri Sep 01 2017 Radomir Dopieralski <rdopiera@redhat.com> 1:7.1.5-7
- Horizon: Set WSGIProcessGroup=%{GLOBAL} (rhbz#1485889)

* Wed Aug 02 2017 Alex Schultz <aschultz@redhat.com> 1:7.1.5-6
- Change keystone token flush to run hourly (rhbz#1470226)

* Tue Jun 06 2017 Jason Guiditta <jguiditt@redhat.com> 1:7.1.5-5
- Add X-Forwarded-Proto headers to Glance and Neutron HAProxy listeners.
  (rhbz#1451495)

* Fri May 12 2017 Alex Schultz <aschultz@redhat.com> 1:7.1.5-4
- Add support for migration over SSH (rhbz#1428590)

* Mon Apr 03 2017 Jason Guiditta <jguiditt@redhat.com> 1:7.1.5-3
- [puppet-nova] libvirt: allow any binding for vncserver_listen (rhbz#1420040)

* Wed Jan 18 2017 Jason Guiditta <jguiditt@redhat.com> 1:7.1.5-2
- [CVE-2016-9590] [puppet-swift] Correct configuration file perms 
  (rhbz#1412844)

* Tue Nov 22 2016 Jason Guiditta <jguiditt@redhat.com> 1:7.1.5-1
- Update to 7.1.5
- [puppet-contrail] Parameterize vgw*, fix the overall workflow for vrouter
  deployments on compute. (rhbz#1394528)

* Wed Oct 19 2016 Jason Guiditta <jguiditt@redhat.com> 1:7.1.4-1
- Update to 7.1.4
- [puppet-contrail] fix: python path (rhbz#1346002)

* Thu Jul 14 2016 Jason Guiditta <jguiditt@redhat.com> 1:7.1.3-1
- Update to 7.1.3
- [puppet-neutron] Fix logic in validate_vxlan_udp_port (rhbz#1352115)
- [puppet-openstack_extras] Expose uca_location to override mirror location

* Sat Jun 18 2016 Lukas Bezdicka <lbezdick@redhat.com> 1:7.1.2-1
- Update to upstream 7.1.2
- [puppet-keystone] Add keystone::wsgi::apache::admin_bind_host param (rhbz#1347827)

* Tue Jun 14 2016 Jason Guiditta <jguiditt@redhat.com> 1:7.1.1-1
- Update to 7.1.1
- [puppet-cinder] Ensure test volume file permissions are correct
  (rhbz#1346048)
- [puppet-nova] Ensure nova-network service is up before creating networks
  (rhbz#1341732)

* Wed May 25 2016 Jason Guiditta <jguiditt@redhat.com> 1:7.0.19-1
- Update to 7.0.19
- [puppet-tripleo] Redirect to https for horizon (rhbz#1337332)
- [puppet-tripleo] Make cipher suite and SSL options configurable 
  (rhbz#1289387)

* Wed May 18 2016 Jason Guiditta <jguiditt@redhat.com> 1:7.0.18-1
- Update to 7.0.18
- [puppet-ironic] iPXE: retry on failure during introspection
  (rhbz#1336473)
- [puppet-neutron] Cisco nexus config manifest - obsolete parameter
  (switch_replay_count). (rhbz#1313943)
- [puppet-neutron] Add ensure_absent_val behavior to Nuage neutron plugin type
  (rhbz#1323847)

* Thu Mar 24 2016 Jason Guiditta <jguiditt@redhat.com> 1:7.0.17-1
- Update to 7.0.17
- [puppet-tripleo] Allow the Redis specific monitor to use authentication.
  (rhbz#13199160)

* Wed Mar 23 2016 Jason Guiditta <jguiditt@redhat.com> 1:7.0.16-1
- Update to 7.0.16
- [puppet-ceph] properly scale down an OSD when requested
  (rhbz#1297978)
- [puppet-tripleo] Allow enabling authentication on haproxy.stats
  (rhbz#1320602)

* Tue Mar 15 2016 Jason Guiditta <jguiditt@redhat.com> 1:7.0.15-1
- Update to 7.0.15
- [puppet-tripleo] Make OpenStack service ports configurable in HAProxy
  (rhbz#1313855)

* Thu Mar 10 2016 Jason Guiditta <jguiditt@redhat.com> 1:7.0.14-1
- Update to 7.0.14
- [puppet-ceph] Allow setting of public_addr from ::profile::mon and ::mon
  (rhbz#1308562)
- [puppet-ironic] [inspector] use dnsmasq dhcp-sequential-ip flag in
  dnsmasq.conf (rhbz#1301659)

* Tue Mar 08 2016 Jason Guiditta <jguiditt@redhat.com> 1:7.0.13-1
- Update to 7.0.13
- [puppet-tripleo] loadbalancer: fix Redis timeout HAproxy config
  (rhbz#1311300)

* Tue Mar 01 2016 Jason Guiditta <jguiditt@redhat.com> 1:7.0.12-1
- Update to 7.0.12
- [puppet-glance] Supports IPv6 in registry_host 
  (rhbz#1312983)
- [puppet-heat] Implement crontab to purge deleted data
  (rhbz#1289287)

* Mon Feb 29 2016 Jason Guiditta <jguiditt@redhat.com> 1:7.0.11-1
- Update to 7.0.11
- [puppet-tripleo] Make haproxy balancer default options configurable
  (rhbz#1285648)
- [puppet-openstacklib] Utility to handle IPv6 address brackets.
  (rhbz#1295898)
- [puppet-ceph] Add support for configuring rgw using civetweb
  (rhbz#1287169)

* Fri Feb 26 2016 Jason Guiditta <jguiditt@redhat.com> 1:7.0.10-1
- Update to upstream 7.0.10

* Tue Feb 23 2016 Jason Guiditta <jguiditt@redhat.com> 1:7.0.9-1
- Update to upstream 7.0.9

* Tue Feb 02 2016 Jason Guiditta <jguiditt@redhat.com> 1:7.0.6-2
- Fix vs_port usage in Red Hat distros (rhbz#1304009)

* Mon Feb 01 2016 Jason Guiditta <jguiditt@redhat.com> 1:7.0.6-1
- Update to upstream 7.0.6
- [puppet-neutron] Adds configuration support for OpenDaylight SDN Controller
  (rhbz#1284963)

* Fri Jan 22 2016 Jason Guiditta <jguiditt@redhat.com> 1:7.0.5-1
- Update to upstream 7.0.5 (rhbz#1296291)
- [puppet-ironic] Specify SELinux type context for tftp dir (rhbz#1280083)

* Mon Jan 11 2016 Jason Guiditta <jguiditt@redhat.com> 1:7.0.4-1
- Update to upstream 7.0.4
- Add uefi_pxe_bootfile_name parameter. (rhbz#1292504)
- Require swift package installation before swift user. (rhbz#1219168)
- Bump puppet-pacemaker to pick up ipv6 changes. (rhbz#1293362)
- Prepare OPM modules for OSP8. (rhbz#1296291)
- Add puppetlabs-git (monitoring toolchain dep).

* Thu Dec 17 2015 Jason Guiditta <jguiditt@redhat.com> 1:7.0.3-1
- Update to upstream 7.0.3
- RHBZs: 1288555,1290107,1292182,1280379,1289307

* Wed Dec 09 2015 Jason Guiditta <jguiditt@redhat.com> 1:7.0.2-1
- Update to upstream 7.0.2
- RHBZs: 1283697,1287140,1288603,1287145,1287873,1288121,1285718

* Thu Nov 19 2015 Iván Chavero <ichavero@redhat.com> 1:7.0.1-2
- Added 0012-Add-BOOTIF-mac-to-the-inspector-iPXE-template.patch (rhbz#1282454)
- Fixed spec file cleanup

* Tue Oct 20 2015 Lukas Bezdicka <lbezdick@redhat.com> 1:7.0.1-1
- Update to upstream 7.0.1

* Tue Oct 13 2015 Lukas Bezdicka <lbezdick@redhat.com> 7.0.0-1
- Update to upstream 7.0.0

* Sat Oct 10 2015 Alan Pevec <alan.pevec@redhat.com> 2015.2.0-0.1
- OpenStack Liberty RC
